import "./Breadcrumb.css";
import * as React from "react";
import { BaseTreeMapInPutData } from "../TreeMap/types";
import { HierarchyRectangularNode } from "d3-hierarchy";
export interface BreadcrumbProps<TreeMapInputData> {
    originalTopNode: HierarchyRectangularNode<TreeMapInputData>;
    selectedNodeId: number;
    className?: string;
    zoomTo: (nodeId: number) => void;
    namePropInData: string;
}
export interface BreadcrumbItem {
    text: string;
    key: number;
    onClick?: (ev?: React.MouseEvent<HTMLElement>, item?: BreadcrumbItem) => void;
}
export declare const Breadcrumb: <TreeMapInputData extends BaseTreeMapInPutData>({ className, originalTopNode, selectedNodeId, zoomTo, namePropInData, }: BreadcrumbProps<TreeMapInputData>) => React.JSX.Element;
